# hello-world  
hello world project for buildbot tutorials

###############################################  
docker run -it -p 8010:8010 -p 9989:9989 -p 443:443 -p 80:80 buildbot/buildbot-master:v2.7.0 /bin/sh
docker run -it --dns 10.1.125.125 -p 8010:8010 -p 9989:9989 -p 443:443 -p 80:80 buildbot/buildbot-master:latest /bin/sh
###############################################  
buildbot create-master master  
cp ./master/master.cfg.sample  ./master/master.cfg  
buildbot start master  
###############################################  
#buildbot-worker create-worker worker localhost example-worker pass  
#buildbot-worker create-worker worker 10.1.7.114:9989 DikeyHuang_VBox_UB16 pass 
buildbot-worker create-worker worker 192.168.1.111:9989 example-worker pass  
buildbot-worker start worker  
########
#buildbot-worker create-worker worker2 10.1.7.114:9989 DikeyHuang_docker_buildbot pass 
buildbot-worker create-worker worker2 192.168.1.111:9989 buildbot-worker buildbot-pass
buildbot-worker start worker2  
########
docker cp ./master.cfg id:/var/lib/buildbot  
###############################################  
buildbot reconfig master  
apt-get install python-pip  
pip install buildbot-worker  

docker cp ./master.cfg id:/var/lib/buildbot  
#  
#   



